services:
  app:
    build:
      context: ./app
      dockerfile: Dockerfile
      args:
        GIT_COMMIT_HASH: ${GIT_COMMIT_HASH:-unknown}
    restart: always

  docs:
    build:
      context: ./docs
      dockerfile: Dockerfile
    restart: always

  jupyter:
    build:
      context: ./jupyter
      dockerfile: Dockerfile
    restart: always

  proxy:
    image: nginx:alpine
    restart: always
    ports:
      - "80:80"
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
    depends_on:
      - app
      - docs
      - jupyter  # Adicione a dependência aqui